Bug 8915 - Samba fails to build with iniparser-3.0.0 and iniparser-3.1.0
Samba fails to build with iniparser-3.0.0 and iniparser-3.1.0
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Build environment
3.6.5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 21:30 UTC by Chris Smith
Modified: 2012-05-10 08:04 UTC (History)
1 user (show)

See Also:


Attachments
simos patch from master (1.71 KB, patch)
2012-05-09 11:42 UTC, Guenther Deschner
gd: review+
Details
Adopted patch (1.70 KB, patch)
2012-05-09 11:58 UTC, Karolin Seeger
gd: review+
Details
Patch to fix the build (1.19 KB, patch)
2012-05-10 07:57 UTC, Karolin Seeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Smith 2012-05-05 21:30:36 UTC
Also applies to the 3.5.x series (and maybe older).
This is the error:
===================================================
Compiling ../nsswitch/pam_winbind.c
../nsswitch/pam_winbind.c: In function ‘_pam_parse’:
../nsswitch/pam_winbind.c:440:76: warning: comparison between pointer
and integer
../nsswitch/pam_winbind.c:445:7: warning: comparison between pointer and integer
../nsswitch/pam_winbind.c:447:7: warning: comparison between pointer and integer
../nsswitch/pam_winbind.c: In function ‘get_conf_item_string’:
../nsswitch/pam_winbind.c:2293:12: warning: assignment makes pointer
from integer without a cast
Linking shared library bin/pam_winbind.so
../nsswitch/pam_winbind.o: In function `_pam_parse':
pam_winbind.c:(.text+0x3a6): undefined reference to `iniparser_getstr'
pam_winbind.c:(.text+0x3ce): undefined reference to `iniparser_getstr'
pam_winbind.c:(.text+0x6b6): undefined reference to `iniparser_getstr'
../nsswitch/pam_winbind.o: In function `get_conf_item_string':
pam_winbind.c:(.text+0x12bb): undefined reference to `iniparser_getstr'
collect2: ld returned 1 exit status
===================================================

Unfortunately the older iniparser-3.0b tarball no longer seems to be available @ http://ndevilla.free.fr
Comment 1 Guenther Deschner 2012-05-09 11:42:32 UTC
Created attachment 7536 [details]
simos patch from master
Comment 2 Guenther Deschner 2012-05-09 11:44:08 UTC
Karolin, please add to 3.6 and 3.5
Comment 3 Karolin Seeger 2012-05-09 11:57:26 UTC
(In reply to comment #1)
> Created attachment 7536 [details]
> simos patch from master

Patch does not apply to v3-6-test.
Comment 4 Karolin Seeger 2012-05-09 11:58:49 UTC
Created attachment 7537 [details]
Adopted patch

Adopted patch for v3-6-test
Comment 5 Guenther Deschner 2012-05-09 12:04:14 UTC
Comment on attachment 7537 [details]
Adopted patch

exactly, sorry, posted wrong version... looks perfect!
Comment 6 Karolin Seeger 2012-05-09 12:08:02 UTC
Pushed to v3-6-test and v3-5-test.
Closing out bug report.

Thanks!
Comment 7 Karolin Seeger 2012-05-10 07:57:11 UTC
Created attachment 7545 [details]
Patch to fix the build

This patch is needed in addition to the first one. It fixes the build.
Please note that it was my fault!
Comment 8 Karolin Seeger 2012-05-10 07:58:05 UTC
Jeremy, thanks for catching and providing the patch!
Comment 9 Karolin Seeger 2012-05-10 08:04:28 UTC
(In reply to comment #7)
> Created attachment 7545 [details]
> Patch to fix the build
> 
> This patch is needed in addition to the first one. It fixes the build.
> Please note that it was my fault!

Pushed patch to v3-5-test and v3-6-test.